# $Revision: 1.18 $, $Date: 2004/12/26 15:49:00 $

%define		pname HappyDoc
%define		ver 2_1

Summary:	Tool for extracting documentation from Python source code
Summary(pl):	Narzdzie do generowania dokumentacji ze rde programw napisanych w jzyku Python
Name:		happydoc
Version:	%(echo %ver | sed 's/_/./g')
Release:	3
License:	BSD-like
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/happydoc/%{pname}_r%{ver}.tar.gz
# Source0-md5:	7791988bb7498d4281636ab5f5852e67
URL:		http://happydoc.sourceforge.net/
BuildRequires:	rpm-pythonprov >= 4.0.2-50
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HappyDoc is a tool for extracting documentation from Python source
code. It differs from other such applications by the fact that it uses
the parse tree for a module to derive the information used in its
output, rather that importing the module directly. This allows the
user to generate documentation for modules which need special context
to be imported.

%description -l pl
HappyDoc jest narzdziem do generowania dokumentacji ze rde
programw napisanych w jzyku Python. Program ten, w przeciwnoci do
innych aplikacji tego typu, ktre musz uruchomi modu, analizuje
struktur danego moduu i na jej podstawie tworzy dokumentacj.
Pozwala to na generowanie dokumentacji dla tych moduw/programw,
ktre musz by uruchamiane w odpowiednim rodowisku.

%prep
%setup  -q -n %{pname}-r%{ver}

%install
rm -rf $RPM_BUILD_ROOT

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir}
export PYTHONPATH
python ./setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt srcdocs/*
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/happydoclib

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: happydoc.spec,v $
Revision 1.18  2004/12/26 15:49:00  saq
- release 3 for rebuild with python 2.4

Revision 1.17  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.16  2004/03/29 21:00:20  qboosh
- use py_sitescriptdir, release 2

Revision 1.15  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:48:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/25 12:55:31  qboosh
- working Source URL

Revision 1.12  2002/09/02 18:41:31  wrobell
- ver. 2.1
- version detection fixes

Revision 1.11  2002/06/16 09:43:21  kloczek
- use new %doc.

Revision 1.10  2002/04/25 16:32:43  arturs
fixed a small typo

Revision 1.9  2002/04/11 13:48:15  wrobell
- rel. 2, stb

Revision 1.8  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.7  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.6  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/11 19:24:20  wrobell
- fixed install and build requirements

Revision 1.4  2002/02/09 18:13:14  kloczek
- rebuild against python 2.2,
- spec adapterized.

Revision 1.3  2002/02/09 17:03:14  wrobell
- fixed build requirements

Revision 1.2  2002/02/07 01:28:07  wrobell
- added api changes patch for struct docset and xml formatters

Revision 1.1  2002/02/07 01:00:25  wrobell
- based on template
